Jump to content

Welcome, Guest!

By registering with us, you'll be able to discuss, share and private message with other members of our community.

Bill Dalton

Members
  • Content Count

    21
  • Joined

  • Last visited

Everything posted by Bill Dalton

  1. "What really struck me was the amount of inconsistencies I found: coding style, duplicate subsystems, prices being calculated with tax then re-calculated to remove tax, character set conversions that no one was able to explain—even legacy controllers, which look like they were designed to execute a single action, had been subverted into incongruence in order to handle multiple actions. It really looked its age: layer over layer of changes made by a thousand hands shuffling things around over the course of a decade, without really understanding why things worked that way nor what the original intent was. Some subsystems had even been replaced by new ones without anyone being able to explain why or how they were supposed to work. Madness!" He is talking about PS 1.6x - the code TB is based on. I assume that now, TB is very different from that description.
  2. I'm very surprised to hear you are running PHP 7 with PS 1.5 - I sure could get mine to run with PHP 7 - but that wasn't it, if you read all this thread there is a code change that is needed for a windows install.
  3. Yeah, I replaced both the override and modules folders with "virgin" copy's from the TB 1.1.0 full download install copy. Now I need to do some testing with a new PHP 7 version and start adding back some updated third party modules and hopefully they will be PHP 7 compatible. I'll try them under PHP 5.6 first.
  4. The end of the story is the themes work fine. It must have been some legacy piece of code in the override folder. I completely replaced that with a fresh copy from a fresh install and cleared cache. So, very much liking this and look forward to moving it to a new domain and trying it out with PHP 7x - currently running PHP 5.6
  5. the clean install does have a table not present in the upgraded DB, the table is called tb_themeconfigurator but it only contains info about the TB logo image.
  6. Tried to install warehouse theme v3.8.7 it at least claimed to install ok but was not visible in BO - no way to actually select it. So ... seems to be a problem with themes on an upgraded PS version .... I installed a clean TB 1.1.0 and it works with themes no problem, and I tried copying those themes but no go. At least that lets me know that there isn't a problem with the themes or reading XML files. I also tried clean copy's of the modules and override folders from the clean install.
  7. Ok, tried that, got a copy from the latest TB full download version. Still dosen't show BO. I tried again to zip it and install and I get [PrestaShopException] Call to a member function attributes() on boolean at line 1480 in file controllers/admin/AdminThemesController.php
  8. Any tricks to get the new theme niara working ... I see the folder is in the theme dir, but it dosen't show in BO. I tried zipping it and importing but I get a 500 error.
  9. Path was to use PS update to PS 1.6.1.24 > TB updater to TB 1.0.8 > Core updater 1.2.0 to TB 1.1.0
  10. Thank you musicmaster that did it for me I now have a copy of my shop from PS 1.5.6.3 running on Current thirty bees version: 1.1.0
  11. I see others are having same problem on windows. I'm using Windows Server. No way to use a local source file?
  12. {"informations":["Downloads calculated, 1523 files to download. (0.0 s)","Failed to download files
  13. yeah, only error is related to a missing web font -
  14. Can't see any log error, core updater 1.2.0 - not git version.
  15. No on the sub folder, just tried in a main top directory, same error. The file ajax.php is there
  16. Thanks! Starting... Downloads calculated, 1523 files to download. (0.1 s) ERROR: Failed to download files with error: fatal: path not found: admin-my-what-I-called-it/ajax.php (0.5 s) Could it be because this is a test site in a sub folder ?
  17. So much for that ... Processing log (request failed, see JavaScript console):
  18. Never mind, I'm used to the way of PS, I see there is a separate interface after the module is installed.
  19. Upgraded to core updater 1.2.0 same problem, it thinks everything is up to date.
  20. When I run core update 1.1.1 it complains that Found modules which can disturb operations of this module. Please uninstall them. These modules are: psonesixmigrator I have uninstalled and removed it, but it still believes it is there and I cannot convince it otherwise. When I click on Check Update it tells me Everything is up-to-date How can I upgrade to TB 1.1.0 ?
×
×
  • Create New...